
<%
'================== The GNU General Public License ================

'ImageIsle - An Image Management Web Application created by
'Lite Pacific. Copyright (C) 2005 Lite Pacific

'This program is free software; you can redistribute it and/or modify
'it under the terms of the GNU General Public License as published by
'the Free Software Foundation using version 2 of the License
'or any later version.

'This license must remain intact inside all distributions and/or
'copies of this application.

'www.giantisland.com

'======================================================================




'...............................................
On Error Resume Next
'...............................................

'Set default skin
if(IsArray(Application("IIm_SETTINGS_ARRAY"))) then
	if(Cint(UBound(Application("IIm_SETTINGS_ARRAY"))) >= 13) then
		Application.Lock
		Application("IIm_SKIN_DEFAULT_FOLDER") = Application("IIm_SETTINGS_ARRAY")(13)
		Application.UnLock
		'Session("IIm_SKIN_FOLDER") = Application("IIm_SETTINGS_ARRAY")(13)
	end if
end if

'response.write("<br />skin: " & Application("IIm_SETTINGS_ARRAY")(13))


'********************* SKIN BUILDER **********************************
'SKIN/CSS STYLE SHEET LINK BUILDER
'When a user clicks a skin from the skins dropdown menu in the interface,
'the web page is sent a form GET querystring with the name of the skin.
'This section picks up that querystring, matches it with the path in the SKIN_MENU
'array values, and creates a new path, thats then used when building the style paths below.
'The CSS style sheet link elements are then written below using the path provided.
'.....................................................................
if IsNull(Request.QueryString("skin")) or IsEmpty(Request.QueryString("skin")) or Request.QueryString("skin") = "" then
	if IsNull(Session("IIm_SKIN")) or IsEmpty(Session("IIm_SKIN")) or Session("IIm_SKIN")= "" then
        'Turn on basic skin by default...
	    Session("IIm_SKIN") = "none"
        Session("IIm_SKIN_FOLDER") = Application("IIm_SKIN_DEFAULT_FOLDER")
	end if
else
    Session("IIm_SKIN") = Request.QueryString("skin")
    Session("IIm_SKIN_FOLDER") = Application("IIm_SKIN_DEFAULT_FOLDER")
    if (IsNull(Application("IIm_SKIN_MENU")) or IsEmpty(Application("IIm_SKIN_MENU"))) then
'alert message
        Session("IIm_MESSAGE") = Session("IIm_MESSAGE") + "<strong class='message_alert'>Alert!</strong> Error finding skin folders. None are found. Also, check that the web path to the skins folder is correct. (check Settings.asp)<br />"
        Application.Lock
        Application("IIm_SKIN_MENU") = null
        Application.Unlock
    else
        if (IsArray(Application("IIm_SKIN_MENU"))) then
            dim index4
            for index4 = 0 to Ubound(Application("IIm_SKIN_MENU"),2)
                if (LCase(Cstr(Application("IIm_SKIN_MENU")(0,index4))) = LCase(Cstr(Session("IIm_SKIN")))) then
                    Session("IIm_SKIN_FOLDER") = Cstr(Application("IIm_SKIN_MENU")(0,index4))
                end if
            Next
        end if
    end if
end if
'*************************************************************************
'BUILD STYLE SHEETS based on path above
'Note: WE DONT RECOMMEND YOU ALTER THE STYLE SYSTEM BELOW!
'The style system is carefully designed to fix errors and address bugs in various browsers,
'including: Netscape 4, Internet Explorer for MAC, Internet Explorer 4-6 versions, Opera, Safari, etc.
'All style changes are best done by creating a new skin folder and copying default styles into
'that folder and making changes to the ".css" files located there.
'Note: If you must modify the system below, try and keep the "base.css","print/print.css"
'and "mobile/mobile.css" in place. You may also safely add styles to the system below.
'.........................................................................

' OPTIONAL LINK ELEMENTS FOR ADVANCED NAVIGATION IN MOZILLA AND OTHER STANDARDIZED BROWSERS
' <link rel="start" href="./" title="start page" />
' <link rel="prev" href="./" title="previous page" />
' <link rel="next" href="./" title="next page" />
' <link rel="contents" href="#" title="site map/contents" />
' <link rel="glossary" href="#" title="glossary" />
' <link rel="index" href="#" title="site index" />
' <link rel="help" href="#" title="help" />
' <link rel="search" href="#" title="site search" />
' <link rel="copyright" href="#" title="copyright statement" />
' <link rel="bookmark" href="#" title="bookmark 1" />
' <link rel="bookmark" href="#" title="bookmark 2" />

' MORE OPTIONAL STYLE SHEETS FOR MORE ADVANCED BROWSER FEATURES
' <link rel="alternate" type="application/rss+xml" title="RSS" href="<=Application("IIm_WEBROOT_PATH")>/<=Application("IIm_SKIN_PATH")>/<=Session("IIm_SKIN_FOLDER")>/rss/rss_base.rdf" />
' <link rel="alternate stylesheet" type="text/css" title="alternate style sheet" media="screen" href="<=Application("IIm_WEBROOT_PATH")>/<=Application("IIm_SKIN_PATH")>/<=Session("IIm_SKIN_FOLDER")>/alternate/alternate.css" />
' <link rel="stylesheet" type="text/css" title="projector style sheet" media="projection" href="<=Application("IIm_WEBROOT_PATH")>/<=Application("IIm_SKIN_PATH")>/<=Session("IIm_SKIN_FOLDER")>/projector/projector.css" />
%>
<link media="handheld" type="text/css" href="<%=Application("IIm_WEBROOT_PATH")%>/<%=Application("IIm_SKIN_PATH")%>/<%=Session("IIm_SKIN_FOLDER")%>/mobile/mobile.css" />
<link media="screen" rel="stylesheet" type="text/css" href="<%=Application("IIm_WEBROOT_PATH")%>/<%=Application("IIm_SKIN_PATH")%>/<%=Session("IIm_SKIN_FOLDER")%>/base.css" />
<link media="screen" rel="stylesheet" type="text/css" href="<%=Application("IIm_WEBROOT_PATH")%>/<%=Application("IIm_SKIN_PATH")%>/<%=Session("IIm_SKIN_FOLDER")%>/base_netscapefixes.css" />
<link media="print" rel="stylesheet" type="text/css" href="<%=Application("IIm_WEBROOT_PATH")%>/<%=Application("IIm_SKIN_PATH")%>/<%=Session("IIm_SKIN_FOLDER")%>/print/print.css" />
<link href="mailto:<%=Application("IIm_WEBMASTER_EMAIL")%>" rev="made" />
<style type='text/css'>
/*<![CDATA[*//*---->*/
/*MOBILE-HANDHELD SHEET*/
@import url("<%=Application("IIm_WEBROOT_PATH")%>/<%=Application("IIm_SKIN_PATH")%>/<%=Session("IIm_SKIN_FOLDER")%>/mobile/mobile.css") handheld;
/*--*//*]]>*/
</style>






<%
'...............................................
'check for errors
If Err.number <> 0 then
    Call CaptureThisError("Skins.asp:check this file for the error")
    Err.Clear
End If
'...............................................
%>
