<%@ language="vbscript" %>
<%option explicit%>

<!--#include file="System/ErrorMessageHeader.asp"-->

<%
if (IsNull(Application("IIm_WEBROOT_PATH")) or IsEmpty(Application("IIm_WEBROOT_PATH"))) then
	'Redirect to web apps homepage, which reconstructs the application variable values by default without having to use them (calls System/SystemSettings.asp)
	response.redirect ("../../")
	response.end
end if
%>

<%Server.Execute (Application("IIm_WEBROOT_PATH") & "/System/PAGE_SYSTEM.asp")%>
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
<%Server.Execute (Application("IIm_WEBROOT_PATH") & "/System/PAGE_HEADER.asp")%>
<link media="screen" rel="stylesheet" type="text/css" href="skin/style.css" />
</head>
<body>
<%Server.Execute (Application("IIm_WEBROOT_PATH") & "/System/PAGE_BODY_TOP.asp")%>

<!--#include file="System/SystemDatabases.asp"-->






<br />
<div class='modulelist_div1'>
<h1 class='modulelist_h1'>Your Current Modules</h1>
You have the following modules installed:
<br /><br />
<%
'+++++++++++++++++++++++++ GET MODULE LIST +++++++++++++++++++++++++++++
'First, load in the master list of configuration.xml value "names". This list will be used to find matching "values" for each module, then display those to the user in the modules list below.

    Dim configArray,moduleArray,theRow,theColumn,currentModuleFolder,currentModuleDescription,currentModuleName,currentModuleURL,iconFound
	'Always pass Application scoped arrays to temporary storage variable location
	'Here, we are getting the master list of avaialable module values, as set in the "SystemSettings.asp" file
    configArray = Application("IIm_CONFIGURATION_XML_VALUES")
	moduleArray = Application("IIm_MODULE_ARRAY")


	'Now, pull down MODULE LIST and display
	if (not IsNull(moduleArray) and not IsEmpty(moduleArray)) then
	For theRow = 0 To UBound(moduleArray,2)
	iconFound = ""
	currentModuleFolder = ""
	currentModuleName = ""
	currentModuleURL = ""
	currentModuleDescription = ""

		'First, pull down the module's folder_name
		For theColumn = 0 To UBound(moduleArray,1)
			if (theColumn <= Ubound(configArray)) then
				if ((configArray(theColumn) = "folder_name" or configArray(theColumn) = "folder_path") and moduleArray(theColumn,theRow) <> "") then
					currentModuleFolder = moduleArray(theColumn,theRow)
				end if
			end if
		Next

		'Next, pull down the module's description
		For theColumn = 0 To UBound(moduleArray,1)
			if (theColumn <= Ubound(configArray)) then
				if ((configArray(theColumn) = "description" or configArray(theColumn) = "module_description") and moduleArray(theColumn,theRow) <> "") then
					currentModuleDescription = moduleArray(theColumn,theRow)
				end if
			end if
		Next

		'Next, pull down the module's name
		For theColumn = 0 To UBound(moduleArray,1)
			if (theColumn <= Ubound(configArray)) then
				if ((configArray(theColumn) = "name" or configArray(theColumn) = "module_name") and moduleArray(theColumn,theRow) <> "") then
					currentModuleName = moduleArray(theColumn,theRow)
				end if
			end if
		Next
		'...use the folder name if no configuration.xml file found for the module...
		if (currentModuleName = "") then
			currentModuleName = currentModuleFolder
		end if


		'Next, pull down the module's author_url
		For theColumn = 0 To UBound(moduleArray,1)
			if (theColumn <= Ubound(configArray)) then
				if (configArray(theColumn) = "author_url" and moduleArray(theColumn,theRow) <> "") then
					currentModuleURL = moduleArray(theColumn,theRow)
				end if
			end if
		Next
		'...use the Lite Pacific name if no configuration.xml file found for the module...
		if (currentModuleURL = "") then
			currentModuleURL = Application("IIm_COMPANY_URL")
		end if



' Hide the module list from listing itself in this page!
if (currentModuleFolder <> "GetNewModules" and currentModuleFolder <> "ModuleList") then


		'Next pull down the image icon for the module
		Response.Write("<div class='modulelist_div2'>")
		For theColumn = 0 To UBound(moduleArray,1)
			if (theColumn <= Ubound(configArray)) then
				if (configArray(theColumn) = "icon_path" and moduleArray(theColumn,theRow) <> "" and currentModuleFolder <> "") then
					iconFound = "<img src='" & Application("IIm_WEBROOT_PATH") & "/" & Application("IIm_MODULE_PATH") & "/" & currentModuleFolder & "/" & moduleArray(theColumn,theRow) & "' alt='" & currentModuleName & " icon' title='" & currentModuleName & " icon' />"
				end if
			end if
		Next
		if (iconFound <> "") then
			Response.Write(iconFound)
		else
			Response.Write("<img src='" & Application("IIm_WEBROOT_PATH") & "/System/SystemImages/icon_default.gif' alt='" & currentModuleName & " icon' title='" & currentModuleName & " icon' />")
		end if
		Response.Write("</div>")



		'write out the module's description
		if (currentModuleDescription = "") then
			currentModuleDescription = "(*Sorry, no description found for this module."
		end if
		Response.Write("<div class='modulelist_div3'>")
		Response.Write("<h3>" & currentModuleName & "</h3>")
		Response.Write(currentModuleDescription)
		Response.Write("<br />" & "<a href='" & Application("IIm_WEBROOT_PATH") & "/" & Application("IIm_MODULE_PATH") & "/" & currentModuleFolder & "/?module=" & currentModuleFolder & "' >View This Module</a>&nbsp;&gt;")
		Response.Write("</div>")



		'Now get table of configuration.xml values for each module in the array...(hidden for now)
		if (false) then
		Response.Write("<div class='modulelist_div4'>")
		Response.Write("<table class='modulelist_table1'>")
		For theColumn = 0 To UBound(moduleArray,1)
			if (theColumn <= Ubound(configArray) and configArray(theColumn) <> "description" and configArray(theColumn) <> "module_description") then
				'Dont display any "name" from the configuration value list, or its matching value if the array is too large
				Response.Write("<tr>")
				Response.Write("<td class='modulelist_tablecell1'><strong>" & configArray(theColumn) & ":</strong></td>")
				Response.Write("<td class='modulelist_tablecell2'>" & moduleArray(theColumn,theRow) & "</td>")
				Response.Write("</tr>")
			end if
		Next
		Response.Write("</table>")
		Response.Write("</div>")
		end if

		Response.Write("<br class='modulelist_clear' />")

end if
	Next
	else
			Response.Write("<hr />Sorry, no modules were found! Please visit <a href='" & Application("IIm_COMPANY_URL") & "' target='_blank'>" & Application("IIm_COMPANY_NAME") & "</a> for information on new Modules for your web site!")
	end if
'++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
%>

<br />
<hr />
<%=Application("IIm_SITE_COPYRIGHT")%>. Version No. <%=Application("IIm_VERSION")%> <a href='<%=Application("IIm_COMPANY_URL")%>' target='_blank'><%=Application("IIm_COMPANY_NAME")%></a>
<br class='modulelist_clear' /><br class='modulelist_clear' />
</div>












<!--#include file="System/ErrorMessageFooter.asp"-->
<%Server.Execute (Application("IIm_WEBROOT_PATH") & "/System/PAGE_BODY_BOTTOM.asp")%>
</body>
</html>

